Get a tag policy

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/tag_policies/{policy_id}https://api.ap2.datadoghq.com/api/v2/tag_policies/{policy_id}https://api.datadoghq.eu/api/v2/tag_policies/{policy_id}https://api.ddog-gov.com/api/v2/tag_policies/{policy_id}https://api.us2.ddog-gov.com/api/v2/tag_policies/{policy_id}https://api.uk1.datadoghq.com/api/v2/tag_policies/{policy_id}https://api.datadoghq.com/api/v2/tag_policies/{policy_id}https://api.us3.datadoghq.com/api/v2/tag_policies/{policy_id}https://api.us5.datadoghq.com/api/v2/tag_policies/{policy_id}

Présentation

Retrieve a single tag policy by ID. Optionally include the policy’s current compliance score via the include=score query parameter. Policies belonging to other organizations cannot be retrieved. This endpoint requires any of the following permissions:

  • telemetry_rules_read
  • metrics_read

  • Arguments

    Paramètres du chemin

    Nom

    Type

    Description

    policy_id [required]

    string

    The unique identifier of the tag policy.

    Chaînes de requête

    Nom

    Type

    Description

    include

    enum

    Comma-separated list of related resources to include alongside the policy. Currently the only supported value is score.
    Allowed enum values: score

    ts_start

    integer

    Start of the time window used for compliance score computation, as a Unix timestamp in milliseconds.

    ts_end

    integer

    End of the time window used for compliance score computation, as a Unix timestamp in milliseconds. Must be in the past and greater than ts_start.

    Réponse

    OK

    A single tag policy.

    Expand All

    Champ

    Type

    Description

    data [required]

    object

    A tag policy resource.

    attributes [required]

    object

    The attributes of a tag policy resource.

    created_at [required]

    date-time

    The RFC 3339 timestamp at which the policy was created.

    created_by [required]

    string

    The identifier of the user who created the policy.

    deleted_at

    date-time

    The RFC 3339 timestamp at which the policy was soft-deleted. null if the policy has not been deleted. Only present when include_deleted=true is requested.

    deleted_by

    string

    The identifier of the user who soft-deleted the policy. null if the policy has not been deleted.

    enabled [required]

    boolean

    Whether the policy is currently enforced.

    modified_at [required]

    date-time

    The RFC 3339 timestamp at which the policy was last modified.

    modified_by [required]

    string

    The identifier of the user who last modified the policy.

    negated [required]

    boolean

    When true, the policy matches tag values that do NOT match any of the supplied patterns.

    policy_name [required]

    string

    Human-readable name for the tag policy.

    policy_type [required]

    enum

    How the policy is enforced. blocking rejects telemetry that violates the policy. surfacing only highlights non-compliant telemetry without blocking it. Allowed enum values: blocking,surfacing

    required [required]

    boolean

    When true, telemetry without this tag is treated as a violation.

    scope [required]

    string

    The scope the policy applies within.

    source [required]

    enum

    The telemetry source that a tag policy applies to. Allowed enum values: logs,spans,metrics,rum,feed

    tag_key [required]

    string

    The tag key that the policy governs.

    tag_value_patterns [required]

    [string]

    The patterns that valid values for the tag key must match.

    version [required]

    int64

    A monotonically increasing version counter that is incremented on each update.

    id [required]

    string

    The unique identifier of the tag policy.

    relationships

    object

    Related resources for a tag policy. Only present when the corresponding include query parameter is supplied.

    score

    object

    A relationship to the compliance score resource for this policy.

    data [required]

    object

    Identifier of the related compliance score resource.

    id [required]

    string

    The unique identifier of the related compliance score resource.

    type [required]

    enum

    JSON:API resource type for a tag policy compliance score. Allowed enum values: tag_policy_score

    type [required]

    enum

    JSON:API resource type for a tag policy. Allowed enum values: tag_policy

    included

    [object]

    Related resources fetched alongside the primary tag policies. Populated when an include query parameter is supplied.

    attributes [required]

    object

    Attributes of a tag policy compliance score.

    score [required]

    double

    The compliance score for the policy over the requested time window, as a percentage between 0 and 100. null indicates that no relevant telemetry was found.

    ts_end [required]

    int64

    End of the time window the score was computed over, as a Unix timestamp in milliseconds.

    ts_start [required]

    int64

    Start of the time window the score was computed over, as a Unix timestamp in milliseconds.

    version [required]

    int64

    The version of the tag policy that the score was computed against.

    id [required]

    string

    The unique identifier of the compliance score resource.

    type [required]

    enum

    JSON:API resource type for a tag policy compliance score. Allowed enum values: tag_policy_score

    {
      "data": {
        "attributes": {
          "created_at": "2026-05-21T22:11:06.108696Z",
          "created_by": "test-user",
          "deleted_at": "2019-09-19T10:00:00.000Z",
          "deleted_by": "string",
          "enabled": true,
          "modified_at": "2026-05-21T22:11:06.108696Z",
          "modified_by": "test-user",
          "negated": false,
          "policy_name": "Service tag must be one of api or web",
          "policy_type": "surfacing",
          "required": true,
          "scope": "env",
          "source": "logs",
          "tag_key": "service",
          "tag_value_patterns": [
            "api",
            "web"
          ],
          "version": 1
        },
        "id": "123",
        "relationships": {
          "score": {
            "data": {
              "id": "123-v1-1779315066097-1779401466097",
              "type": "tag_policy_score"
            }
          }
        },
        "type": "tag_policy"
      },
      "included": [
        {
          "attributes": {
            "score": 80,
            "ts_end": 1779401466097,
            "ts_start": 1779315066097,
            "version": 1
          },
          "id": "123-v1-1779315066097-1779401466097",
          "type": "tag_policy_score"
        }
      ]
    }

    Bad Request

    API error response.

    Expand All

    Champ

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Unauthorized

    API error response.

    Expand All

    Champ

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Forbidden

    API error response.

    Expand All

    Champ

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Not Found

    API error response.

    Expand All

    Champ

    Type

    Description

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Champ

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Exemple de code

                      # Path parameters
    export policy_id="123"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/tag_policies/${policy_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    Get a tag policy returns "OK" response
    """
    
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.tag_policies_api import TagPoliciesApi
    
    configuration = Configuration()
    configuration.unstable_operations["get_tag_policy"] = True
    with ApiClient(configuration) as api_client:
        api_instance = TagPoliciesApi(api_client)
        response = api_instance.get_tag_policy(
            policy_id="policy_id",
        )
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
    # Get a tag policy returns "OK" response
    
    require "datadog_api_client"
    DatadogAPIClient.configure do |config|
      config.unstable_operations["v2.get_tag_policy".to_sym] = true
    end
    api_instance = DatadogAPIClient::V2::TagPoliciesAPI.new
    p api_instance.get_tag_policy("policy_id")
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
    // Get a tag policy returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	configuration.SetUnstableOperationEnabled("v2.GetTagPolicy", true)
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewTagPoliciesApi(apiClient)
    	resp, r, err := api.GetTagPolicy(ctx, "policy_id", *datadogV2.NewGetTagPolicyOptionalParameters())
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `TagPoliciesApi.GetTagPolicy`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `TagPoliciesApi.GetTagPolicy`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
    // Get a tag policy returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.TagPoliciesApi;
    import com.datadog.api.client.v2.model.TagPolicyResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        defaultClient.setUnstableOperationEnabled("v2.getTagPolicy", true);
        TagPoliciesApi apiInstance = new TagPoliciesApi(defaultClient);
    
        try {
          TagPolicyResponse result = apiInstance.getTagPolicy("123");
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling TagPoliciesApi#getTagPolicy");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
    // Get a tag policy returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_tag_policies::GetTagPolicyOptionalParams;
    use datadog_api_client::datadogV2::api_tag_policies::TagPoliciesAPI;
    
    #[tokio::main]
    async fn main() {
        let mut configuration = datadog::Configuration::new();
        configuration.set_unstable_operation_enabled("v2.GetTagPolicy", true);
        let api = TagPoliciesAPI::with_config(configuration);
        let resp = api
            .get_tag_policy(
                "policy_id".to_string(),
                GetTagPolicyOptionalParams::default(),
            )
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
    /**
     * Get a tag policy returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    configuration.unstableOperations["v2.getTagPolicy"] = true;
    const apiInstance = new v2.TagPoliciesApi(configuration);
    
    const params: v2.TagPoliciesApiGetTagPolicyRequest = {
      policyId: "policy_id",
    };
    
    apiInstance
      .getTagPolicy(params)
      .then((data: v2.TagPolicyResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"